import { Component, Input, OnInit } from '@angular/core';
import { ApiChatService } from '../../services/api-chat.service';
import { SinglePost } from '../../models/post'
import * as vars from "../../const/api"
import {ActivatedRoute} from "@angular/router";

@Component({
  selector: 'app-SingleThread',
  templateUrl: `./boards.component.html`,
  styleUrls: [`./boards.component.css`]
})
export class BoardsComponent implements OnInit {
  command: string = "";
  response: any;
  postsToShow: SinglePost[] = []
  boardName:string = 'b';
  showGuide: boolean = false;
  threadId: number;

  constructor(
    public apiChatService: ApiChatService,
    private activatedRoute:ActivatedRoute
  ){

  }
  refreshPosts(boardName: string , threadId:number) {
    this.apiChatService.getPosts(boardName, this.threadId).subscribe(response => {
      this.postsToShow = response
    })
  }

  sendPost(tosend: any){
    console.log(`Получен эмит создания поста  с текстом ${tosend.text}`);
    console.log("С картинками: " + tosend.images)
    console.log("В тред " + this.threadId)

    this.apiChatService.sendPostToApi(tosend.text, tosend.images, this.threadId).subscribe( response => {
      response = response.toString();
      vars.showAlert(response.toString(), "#ff0a36");
      this.getThreadPosts();
    });  
  }

  getThreadPosts(){
    this.apiChatService.getPosts('postgres', this.threadId).subscribe(response => {
      this.postsToShow = response
      })
  }

  ngOnInit(): void {
    this.threadId = parseInt(<string>this.activatedRoute.snapshot.queryParamMap.get('thread'));
    this.getThreadPosts()
  }
}
